Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2
Class RelationInterceptor.RelationInvocation

    java.lang.Object
      org.jboss.invocation.Invocation
          org.jboss.invocation.LocalEJBInvocation
              org.jboss.ejb.plugins.cmp.jdbc2.RelationInterceptor.RelationInvocation

Enclosing class:
  RelationInterceptor

public static class RelationInterceptor.RelationInvocation
extends LocalEJBInvocation

Field Summary
`RelationInterceptor.CMRMessage` | `msg`

Fields inherited from class org.jboss.invocation.Invocation
`args, as_is_payload, invocationContext, invocationType, INVOKE_SIGNATURE, method, objectName, payload, transient_payload`

Constructor Summary
`RelationInterceptor.RelationInvocation(RelationInterceptor.CMRMessage msg)`

Methods inherited from class org.jboss.invocation.LocalEJBInvocation
`getCredential, getEnterpriseContext, getId, getPrincipal, getTransaction, setCredential, setEnterpriseContext, setId, setPrincipal, setTransaction`

Methods inherited from class org.jboss.invocation.Invocation
`getArguments, getAsIsPayload, getAsIsValue, getInvocationContext, getMethod, getObjectName, getPayload, getPayloadValue, getTransientPayload, getTransientValue, getType, getValue, isLocal, performCall, setArguments, setInvocationContext, setMethod, setObjectName, setType, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### msg

    public final RelationInterceptor.CMRMessage msg

Constructor Detail

### RelationInterceptor.RelationInvocation

    public RelationInterceptor.RelationInvocation(RelationInterceptor.CMRMessage msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.